[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.BeginReferences

Initializes the component referencing mechanism.

## Declaration

Source position: classesh.inc line 1246

`public procedure TReader.BeginReferences;`

## Description

When streaming components, the streaming mechanism keeps a list of existing components that can be referenced to. This method initializes up that system.

Documentation generated on: Feb 26 2014